[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TMouseEvent

Specifies an event handler used to respond to mouse button events.

## Declaration

Source position: controls.pp line 469

`type TMouseEvent = procedure(`
`Sender: TObject;`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`) of object;`

## Arguments

`Sender` |  | TObject for the event notification.
`Button` |  | Mouse button for the event notification.
`Shift` |  | Modifier applied to the mouse button.
`X` |  | Horizontal position for the mouse cursor in the button event.
`Y` |  | Vertical position for the mouse cursor in the button event.

## Description

TMouseEvent is an object procedure type which specifies an event handler for mouse button events.

TMouseEvent is the type used to implement the OnMouseDown and OnMouseUp event handlers in TControl. Applications must implement an object procedure using the signature for the event handler, and assign it to the property to respond to the event notification.

## See also

TControl.OnMouseDown |  | Event handler signalled when a mouse down event is handled for the control.
TControl.OnMouseUp |  | Event handler signalled when a mouse up event is handled for the control.